import { IHypernetCore, GatewayUrl, IUIData, ActiveStateChannel, Theme } from "@hypernetlabs/objects";
import { IHypernetWebUI } from "@hypernetlabs/web-ui";
import { ResultAsync } from "neverthrow";
import HypernetIFrameProxy from "../../implementations/proxy/HypernetIFrameProxy";
import { IHypernetWebIntegration } from "../../interfaces/app/IHypernetWebIntegration";
export default class HypernetWebIntegration implements IHypernetWebIntegration {
    protected iframeURL: string;
    protected defaultGovernanceChainId: number;
    protected debug: boolean;
    protected currentGatewayUrl: GatewayUrl | undefined | null;
    protected selectedStateChannel: ActiveStateChannel;
    protected getReadyResolved: boolean;
    protected getRegistriesReadyResolved: boolean;
    protected getGovernanceReadyResolved: boolean;
    protected getPaymentsReadyResolved: boolean;
    protected paymentsInitializing: boolean;
    webUIClient: IHypernetWebUI;
    core: HypernetIFrameProxy;
    UIData: IUIData;
    constructor(iframeURL: string | null, defaultGovernanceChainId: number | null, theme: Theme | null, debug: boolean | null);
    getReady(): ResultAsync<IHypernetCore, Error>;
    getRegistriesReady(): ResultAsync<IHypernetCore, Error>;
    getGovernanceReady(): ResultAsync<IHypernetCore, Error>;
    getPaymentsReady(): ResultAsync<IHypernetCore, Error>;
    displayGatewayIFrame(gatewayUrl: GatewayUrl): void;
    closeGatewayIFrame(gatewayUrl: GatewayUrl): void;
    private _prepareIFrameContainer;
}
//# sourceMappingURL=HypernetWebIntegration.d.ts.map